Assignments Assignments

Public Member Functions | Static Public Member Functions | List of all members
Util::_InnerProductSpace< Element > Class Template Reference

`#include <algebra.h>`

Inheritance diagram for Util::_InnerProductSpace< Element >:

## Public Member Functions
double | squareNorm (void) const
double | length (void) const
Element | unit (void) const

## Static Public Member Functions
static double | Dot (const Element &e1, const Element &e2)
static double | SquareNorm (const Element &e)
static double | Length (const Element &e)
static double | SquareDistance (const Element &e1, const Element &e2)
static double | Distance (const Element &e1, const Element &e2)

## Detailed Description

template<class Element>
class Util::_InnerProductSpace< Element >

This templated class fills in the inner-product space methods for the class Element It assumes the following operations are well defined for const Element &e and const Element &f: double dot = e.dot( f );

## Member Function Documentation

## ◆ Distance()

template<class Element >

static double Util::_InnerProductSpace< Element >::Distance | ( | const Element & | e1,
|  | const Element & | e2 )
| inline static

This static method returns the L2-distance between two elements

## ◆ Dot()

template<class Element >

static double Util::_InnerProductSpace< Element >::Dot | ( | const Element & | e1,
|  | const Element & | e2 )
| inline static

This static method returns the dot-product of two elements

## ◆ Length()

template<class Element >

static double Util::_InnerProductSpace< Element >::Length | ( | const Element & | e | ) |
| inline static

This static method returns the L2-norm of an element

## ◆ length()

template<class Element >

double Util::_InnerProductSpace< Element >::length | ( | void |  | ) | const
| inline

This method returns L2-norm of an element

## ◆ SquareDistance()

template<class Element >

static double Util::_InnerProductSpace< Element >::SquareDistance | ( | const Element & | e1,
|  | const Element & | e2 )
| inline static

This static method returns (squared) L2-distance between two elements

## ◆ SquareNorm()

template<class Element >

static double Util::_InnerProductSpace< Element >::SquareNorm | ( | const Element & | e | ) |
| inline static

This static method returns the (squared) L2-norm of an element

## ◆ squareNorm()

template<class Element >

double Util::_InnerProductSpace< Element >::squareNorm | ( | void |  | ) | const
| inline

This method returns the (squared) L2-norm of an element

## ◆ unit()

template<class Element >

Element Util::_InnerProductSpace< Element >::unit | ( | void |  | ) | const
| inline

This method returns the normalized element

The documentation for this class was generated from the following file:

- Assignments/Util/algebra.h